CRONTAB(1)

NAME
crontab - User crontab manipulation

SYNOPSIS
crontab -c [user] file
crontab -l [user]
crontab -r [user]
crontab -p

DESCRIPTION
The crontab program allows users to manipulate their personal crontab files. These files are hidden in /usr/spool/crontabs/user where user is the login name of a given user. The system daemon cron uses these crontabs, among others, to run tasks that are to be repeated at regular intervals. See crontab(5) on what a good crontab file should look like.

Only the superuser can specify a user name to manipulate the crontab of a given user. Any other user can only touch their own crontab file.

OPTIONS

-c [user] file
    Install file as the crontab file of user.

-l [user]
    List the crontab file of user to standard output.

-r [user]
    Remove the crontab file of user.

-p  Tell cron to reload its tables. Useful for system administrators to signal a change to any of the system crontab files. Changes made by the crontab program are signalled automatically. (Mnemonic: -p = "ping".)

FILES

/usr/spool/crontabs/user
    Per user personal crontab file.

SEE ALSO
crontab(5), cron(8).

DIAGNOSTICS
Crontab preparses a new crontab and only installs it if correct. All errors are sent to standard error, messages about installing a new table and telling cron to reload are sent to standard output.

BUGS
Crontab misses a -e option that other implementations of this command allow one to edit the current crontab and install the result. Seems quite handy until you try to install a new crontab from an automated script. That's why this command has a -c option that installs a prepared crontab file. Use

    crontab -l >/tmp/tab
    ${EDITOR-vi} /tmp/tab
    crontab -c /tmp/tab

to get the same effect as crontab -e.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)